:root {
    --checkout-max-width: 1100px;
}

.Checkout {
    @include after-mobile {
        margin-top: 122px;
    }

    &-StickyButtonWrapper {
        @include before-desktop {
            width: 100%;
            padding: 1rem 1rem calc(env(safe-area-inset-bottom) + 1rem);
            border-top: 1px solid var(--primary-divider-color);
            position: fixed;
            bottom: 0;
            left: 0;
            z-index: 85;
            background-color: #fff;
        }
    }

    &-Step {
        max-width: 470px;
    }

    &-Wrapper {
        padding-top: 1px;
        margin-bottom: 40px;

        @include after-mobile {
            display: grid;
            grid-template-columns: repeat(2, minmax(calc(50% - 1rem), 470px));
            grid-gap: 2rem;
        }
    }

    &-Heading {
        margin: 0 0 1rem;
        font-size: 20px;
        font-weight: 400;
        text-transform: none;
    }

    &-Title {
        margin: 2rem 0;
        font-size: 25px;
        font-weight: 600;
        text-transform: capitalize;

        @include mobile {
            display: none;
        }
    }

    &-RedirectMessage {
        padding-top: 40px;
        padding-bottom: 30px;
        text-align: center;

        h4 {
            padding-top: 60px;
        }
    }

    .ContentWrapper {
        @media (min-width: 1400px) {
            max-width: calc(var(--content-wrapper-width) + 33px);
        }
    }
}
